%define prefix /usr

Summary: A unicode manipulation library
Name: libunicode
Version: 0.4
Release: 12
License: LGPL
Group: System Environment/Libraries
Source: http://www.pango.org/download/libunicode-%{version}.tar.gz
Patch0: libunicode-0.4-64bit.patch
BuildRoot: %{_tmppath}/libunicode-%{PACKAGE_VERSION}-root
BuildRequires: /usr/bin/automake-1.4
BuildRequires: /usr/bin/autoconf
BuildRequires: libtool

%description
A library to handle unicode strings

%package devel
Summary: A unicode manipulation library
Group: Development/Libraries
Requires: libunicode = %{version}

%description devel
The libunicode-devel package includes the static libraries and header files
for the libunicode package.

Install libunicode-devel if you want to develop programs which will use
libunicode.

%changelog
* Tue Feb  4 2003 Owen Taylor <otaylor@redhat.com>
- libtoolize without aclocal breaks shared libs (#83138, James A. Laska)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Oct 31 2002 Owen Taylor <otaylor@redhat.com> 0.4-10
- 64bit patch from Vyatcheslav.Sysoltsev@intel.com
- Fix configure line

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 26 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add symlinks from library major version number into rpm

* Tue Jun 12 2001 Bill Nottingham <notting@redhat.com>
- libunicode-devel needs to require libunicode

* Thu Feb 08 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add libtoolize to make porting to new archs easy

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Owen Taylor <otaylor@redhat.com>
- Add missing %%defattr

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Upgrade to 0.4
- Correct License: to LGPL
- Remove man-compress/strip. New versions of RPM handle this.
- Switch to using DESTDIR
- Split off a -devel package
- Run ldconfig in %post and %postun

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.3-3mdk
- libtoolize --force.

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild for new environmint

* Thu Aug 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- first rpm version

%prep
%setup
%patch -p0 -b .64bit

%build
libtoolize --copy --force
aclocal-1.4
automake-1.4
autoconf

%configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}

make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT/%{_libdir}/libunicode.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING ChangeLog TODO
%{_libdir}/libunicode.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/libunicode.so
%{_libdir}/libunicode.a
%{_includedir}/*
%{_bindir}/unicode-config

